.TH voodooc 1 "" "" "User Commands"
.SH NAME
.B voodooc
\- the Voodoo compiler
.SH SYNOPSIS
.B voodooc
[\fIoptions\fR]
<\fIinput file\fR>
.SH DESCRIPTION
Compiles a program in the Voodoo programming language.
Various options can be used to specify the name of the output file
and the target architecture and output file format.

If `-' is specified as an input file, \fBvoodooc\fR reads from
standard input instead. In that case, the \fB-o\fR option is mandatory.
.SH OPTIONS
.TP
\fB-a\fR, \fB--arch\fR, \fB--architecture\fR \fIarchitecture\fR
Select target architecture. Use \fB-a help\fR to get a list of
supported architectures.
.TP
\fB-c\fR, \fB--check\fR
Check program for correctness, but do not actually compile it.
.TP
\fB-f\fR, \fB--format\fR, \fB--output-format\fR \fIformat\fR
Select output format. Use \fB-a \fIarchitecture\fB -f help\fR to get a list of
supported output formats for \fIarchitecture\fR.
.TP
\fB--features\fR
List the features supported by this implementation. The features
are listed in the format <feature name><tab><version>, ordered
by feature name. The program exits after printing the list of
features; no compilation is performed.
.TP
\fB-h\fR, \fB--help\fR
Display usage information and exit. No compilation will be performed.
.TP
\fB-o\fR, \fB--output\fR, \fB--output-file\fR \fIoutput file\fR
Set output file name. The special name '-' causes voodooc to write
to standard output.
.TP
\fB--version\fR
Display version information and exit. No compilation will be performed.
.SH EXAMPLES
.TP
Compile the file example.voo:
.B voodooc example.voo
.PP
Compile the file example.voo to i386 assembly code for the NASM assembler,
using example.asm as the output file name:
.RS
.B voodooc -a i386 -f nasm -o example.asm example.voo
.RE
.SH SEE ALSO
\fBvoodooc\fR has a website at
\fIhttp://voodoo-compiler.sourceforge.net/\fR
